Apache JMeter

## org.apache.jmeter.engine.util
Class UndoVariableReplacement

    java.lang.Object
      org.apache.jmeter.engine.util.UndoVariableReplacement

    public class UndoVariableReplacement

extends Object

Constructor Summary
`UndoVariableReplacement(CompoundVariable masterFunction, Map<String,String> variables)`

Method Summary
`protected CompoundVariable` `getMasterFunction()`
`Map<String,String>` `getVariables()`
`void` `setMasterFunction(CompoundVariable variable)` Set the master function for the value transformer.
`void` `setVariables(Map<String,String> map)` Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.
`JMeterProperty` `transformValue(JMeterProperty prop)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndoVariableReplacement

    public UndoVariableReplacement(CompoundVariable masterFunction,
                                   Map<String,String> variables)

Method Detail

### transformValue

    public JMeterProperty transformValue(JMeterProperty prop)
                                  throws InvalidVariableException

  Throws:
    `InvalidVariableException`

### setMasterFunction

    public void setMasterFunction(CompoundVariable variable)

  Set the master function for the value transformer. This handles converting strings to functions.

### getMasterFunction

    protected CompoundVariable getMasterFunction()

### getVariables

    public Map<String,String> getVariables()

### setVariables

    public void setVariables(Map<String,String> map)

  Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.